ONVIF::Media::Types::VideoSourceMode(3pm)

NAME
ONVIF::Media::Types::VideoSourceMode

DESCRIPTION
Perl data type class for the XML Schema defined complexType VideoSourceMode from the namespace http://www.onvif.org/ver10/media/wsdl.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   MaxFramerate

•   MaxResolution

•   Encodings

•   Reboot

•   Description

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::VideoSourceMode
   MaxFramerate =>  $some_value, # float
   MaxResolution =>  { # ONVIF::Media::Types::VideoResolution
     Width =>  $some_value, # int
     Height =>  $some_value, # int
   },
   Encodings => $some_value, # EncodingTypes
   Reboot =>  $some_value, # boolean
   Description => $some_value, # Description
   Extension =>  { # ONVIF::Media::Types::VideoSourceModeExtension
   },
 },

  attr
NOTE: Attribute documentation is experimental, and may be inaccurate. See the correspondent WSDL/XML Schema if in question.

This class has additional attributes, accessibly via the attr() method.

attr() returns an object of the class ONVIF::Media::Types::VideoSourceMode::_VideoSourceMode::XmlAttr.

The following attributes can be accessed on this object via the corresponding get_/set_ methods:

•   token

     Indicate token for video source mode.

    This attribute is of type ONVIF::Media::Types::ReferenceToken.

•   Enabled

     Indication of whether this mode is active. If active this value is true. In case of non-indication, it means as false. The value of true shall be had by only one video source mode.

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::boolean.

AUTHOR
Generated by SOAP::WSDL